# Class: DrawEvent

## ol.DrawEvent

### Extends

- goog.events.Event
- oli.DrawEvent

### Members

#### feature{ol.Feature} experimental

  The feature being drawn.

### Events

#### drawend experimental

src/ol/interaction/drawinteraction.js, line 36

  Triggered upon feature draw end

#### drawstart experimental

src/ol/interaction/drawinteraction.js, line 30

  Triggered upon feature draw start